## syndication 5.116.0

=== src/CMakeLists.txt ===
add_library(KF5Syndication)
add_library(KF5::Syndication ALIAS KF5Syndication)

set_target_properties(KF5Syndication PROPERTIES
    VERSION     ${SYNDICATION_VERSION}
    SOVERSION   ${SYNDICATION_SOVERSION}
    EXPORT_NAME Syndication
)

target_sources(KF5Syndication PRIVATE
    # librss2local
    rss2/category.cpp
    rss2/cloud.cpp
    rss2/document.cpp
    rss2/enclosure.cpp
    rss2/image.cpp
    rss2/item.cpp
    rss2/parser.cpp
    rss2/source.cpp
    rss2/textinput.cpp
    rss2/tools_p.cpp

    # librdflocal
    rdf/contentvocab.cpp
    rdf/document.cpp
    rdf/dublincore.cpp
    rdf/dublincorevocab.cpp
    rdf/image.cpp
    rdf/item.cpp
    rdf/literal.cpp
    rdf/model.cpp
    rdf/modelmaker.cpp
    rdf/node.cpp
    rdf/nodevisitor.cpp
    rdf/parser.cpp
    rdf/property.cpp
    rdf/rdfvocab.cpp
    rdf/resource.cpp
    rdf/resourcewrapper.cpp
    rdf/rssvocab.cpp
    rdf/sequence.cpp
    rdf/statement.cpp
    rdf/syndicationinfo.cpp
    rdf/syndicationvocab.cpp
    rdf/textinput.cpp

    # libatomlocal
    atom/atomtools.cpp
    atom/category.cpp
    atom/constants.cpp
    atom/content.cpp
    atom/document.cpp
    atom/entry.cpp
    atom/generator.cpp
    atom/link.cpp
    atom/parser.cpp
    atom/person.cpp
    atom/source.cpp

    # libmapperrss2local
    mapper/categoryrss2impl.cpp
    mapper/enclosurerss2impl.cpp
    mapper/feedrss2impl.cpp
    mapper/imagerss2impl.cpp
    mapper/itemrss2impl.cpp

    # libmapperrdflocal
    mapper/feedrdfimpl.cpp
    mapper/imagerdfimpl.cpp
    mapper/itemrdfimpl.cpp

    # libmapperatomlocal
    mapper/categoryatomimpl.cpp
    mapper/enclosureatomimpl.cpp
    mapper/feedatomimpl.cpp
    mapper/itematomimpl.cpp

    # libsyndicationlocal
    abstractparser.cpp
    category.cpp
    constants.cpp
    dataretriever.cpp
    documentsource.cpp
    documentvisitor.cpp
    elementwrapper.cpp
    enclosure.cpp
    feed.cpp
    global.cpp
    image.cpp
    item.cpp
    loader.cpp
    person.cpp
    personimpl.cpp
    specificdocument.cpp
    specificitem.cpp
    specificitemvisitor.cpp
    tools.cpp
    loaderutil.cpp
)

ecm_qt_declare_logging_category(KF5Syndication
    HEADER syndication_debug.h
    IDENTIFIER SYNDICATION_LOG
    CATEGORY_NAME kf.syndication
    OLD_CATEGORY_NAMES kf5.syndication
    DESCRIPTION "syndication"
    EXPORT SYNDICATION
)

generate_export_header(KF5Syndication BASE_NAME syndication)

target_include_directories(KF5Syndication
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/Syndication;${KDE_INSTALL_INCLUDEDIR_KF}/Syndication/syndication>"
    PUBLIC
        "$<BUILD_INTERFACE:${Syndication_SOURCE_DIR}/src;${Syndication_BINARY_DIR}/src;${Syndication_BINARY_DIR}>"
)

kde_target_enable_exceptions(KF5Syndication PUBLIC)

target_link_libraries(KF5Syndication
PUBLIC
    Qt${QT_MAJOR_VERSION}::Core
PRIVATE
    Qt${QT_MAJOR_VERSION}::Xml
    KF5::Codecs
)

add_subdirectory(atom)
add_subdirectory(rdf)
add_subdirectory(rss2)

ecm_generate_headers(Syndication_CamelCase_HEADERS
  HEADER_NAMES
  AbstractParser
  Category
  Constants
  DataRetriever
  DocumentSource
  DocumentVisitor
  ElementWrapper
  Enclosure
  Feed
  Global
  Image
  Item
  Loader
  Mapper
  ParserCollection
  Person
  SpecificDocument
  SpecificItem
  SpecificItemVisitor
  Syndication
  Tools

  PREFIX Syndication
  REQUIRED_HEADERS Syndication_HEADERS
)


install(TARGETS KF5Syndication EXPORT KF5SyndicationTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/syndication_export.h
    ${Syndication_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Syndication/syndication
    COMPONENT Devel
)

install(FILES
    ${Syndication_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Syndication/Syndication
    COMPONENT Devel

)

ecm_qt_install_logging_categories(
    EXPORT SYNDICATION
    FILE syndication.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Syndication_QCH
        NAME Syndication
        BASE_NAME KF5Syndication
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Syndication_HEADERS}
            ${Syndication_Atom_APIDOX_SRCS}
            ${Syndication_Rdf_APIDOX_SRCS}
            ${Syndication_Rss2_APIDOX_SRCS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/Mainpage.dox"
        LINK_QCHS
            Qt5Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            SYNDICATION_EXPORT
            SYNDICATION_DEPRECATED
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

ecm_generate_pri_file(BASE_NAME Syndication LIB_NAME KF5Syndication DEPS "" FILENAME_VAR PRI_FILENAME)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION}Network ${REQUIRED_QT_VERSION} CONFIG REQUIRED) # for testloader

########### next target ###############

add_executable(testloader testloader.cpp)
target_link_libraries(testloader KF5Syndication Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Network)

=== src/rss2/CMakeLists.txt ===
########### install files ###########

ecm_generate_headers(Syndication_Rss2_CamelCase_HEADERS
  HEADER_NAMES
  Category
  Cloud
  Document
  Enclosure
  Image
  Item
  Parser
  Rss2
  Source
  TextInput

  OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}/..
  PREFIX Syndication/Rss2
  REQUIRED_HEADERS Syndication_Rss2_HEADERS
)

install(FILES
    ${Syndication_Rss2_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Syndication/Syndication/Rss2
    COMPONENT Devel

)

install(FILES
    ${Syndication_Rss2_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Syndication/syndication/rss2
        COMPONENT Devel
)

# make available to ecm_add_qch in parent folder
set(Syndication_Rss2_APIDOX_SRCS ${Syndication_Rss2_HEADERS} PARENT_SCOPE)

=== debian/changelog ===
syndication (1:5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:27 +0200

syndication (1:5.115.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Mark a test-only symbol as optional to fix building with the `nocheck’
    build profile. Thanks to Samuel Thibault for the bug report and fix.
    (Closes: #1072338)
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 01 Jun 2024 14:32:34 +0200

syndication (1:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:13:09 +0200

syndication (1:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015677).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:00:12 +0100

syndication (1:5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.107.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:37 +0200

syndication (1:5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:56 +0100

=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.16~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.116.0~),
               libkf5codecs-dev (>= 5.116.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.11.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/syndication
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syndication
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syndication.git
Rules-Requires-Root: no

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.
Breaks: libkf5blog-dev (<< 4:17.08),

Package: libkf5syndication-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: parser library for RSS and Atom feeds - documentation
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the qch documentation files.

Package: libkf5syndication5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Syndication
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	dh_auto_test --no-parallel

## syndication 5.116.0+p24.04+vstable+git20250801.1338

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.117.0") # handled by release scripts
set(KF_DEP_VERSION "5.116.0") # handled by release scripts

project(Syndication VERSION ${KF_VERSION})

set(REQUIRED_QT_VERSION 5.15.2)

# ECM setup
find_package(ECM ${KF_DEP_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMGeneratePriFile)
include(ECMDeprecationSettings)

ecm_setup_version(PROJECT VARIABLE_PREFIX SYNDICATION
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/syndication_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(Qt${QT_MAJOR_VERSION}Xml ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

find_package(KF5Codecs ${KF_DEP_VERSION} CONFIG REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.97.0
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

########### Targets ###########
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Syndication")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Syndication_QCH
        FILE KF5SyndicationQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5SyndicationQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5SyndicationConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5SyndicationTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5SyndicationTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/syndication_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/Syndication COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
syndication (1:5.116.0+p24.04+vstable+git20250801.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 13:38:41 +0000

syndication (1:5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:46:16 +1000

syndication (1:5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:47:45 +0000

syndication (1:5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:33:11 +0000

syndication (1:5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:12:05 +0000

syndication (1:5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:55:25 +0000

syndication (1:5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 17:01:29 +0000

syndication (1:5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:36:01 +0000

syndication (1:5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 05:14:48 +0000

syndication (1:5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:20:58 +0000

syndication (1:5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:52:57 +0000

syndication (1:5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:11:51 +0000

syndication (1:5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:05:12 +0000

syndication (1:5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:38:39 +0000

syndication (1:5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:45:35 +0000

syndication (1:5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:07:03 +0000

syndication (1:5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:08:55 +0000

syndication (1:5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:18:56 +0000

syndication (1:5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:31:53 +0000

syndication (1:5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:40:41 +0000

syndication (1:5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 Sep 2022 16:05:08 +0000

syndication (1:5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:42:12 +0000

syndication (1:5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:08:23 +0000

syndication (1:5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:51:56 +0000

syndication (1:5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:21:40 +0000

syndication (1:5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:28:32 +0000

syndication (1:5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Nov 2021 11:18:09 +0000

syndication (1:5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 14:00:07 +0000

syndication (1:5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:12:08 +0000

syndication (1:5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:20:07 +0000

syndication (1:5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:29:43 +0000

syndication (1:5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:53 +0000

syndication (1:5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:11:05 +0000

syndication (1:5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:47 +0000

syndication (1:5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:58 +0000

syndication (1:5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:27:47 +0000

syndication (1:5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:09:05 +0000

syndication (1:5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:33:30 +0000

syndication (1:5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:44:12 +0000

syndication (1:5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:34:37 +0000

syndication (1:5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:28:07 +0000

syndication (1:5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:50:49 +0000

syndication (1:5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:58:20 +0000

syndication (1:5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:44:19 +0000

syndication (1:5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:22:08 +0000


=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               doxygen,
               extra-cmake-modules (>= 5.47.0~),
               libkf5codecs-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.1~),
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Git: https://invent.kde.org/neon/kde/syndication.git
Vcs-Browser: https://invent.kde.org/neon/kde/syndication
Maintainer: Neon CI <neon@kde.org>

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.1~),
         ${misc:Depends}
Breaks: libkf5blog-dev (<< 4:17.08), libkf5syndication-doc (<< 1:5.73.0-0neon)
Replaces: libkf5syndication-doc (<< 1:5.73.0-0neon)
Recommends: libkf5syndication-doc (= ${source:Version})
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.

Package: libkf5syndication5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Syndication
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: akregator (<< 4:17.08),
        libkf5blog5 (<< 4:17.08),
        libkf5syndication5 (<< 1:5.60.0-1neon)
Replaces: akregator (<< 4:17.08),
          libkf5blog5 (<< 4:17.08),
          libkf5syndication5 (<< 1:5.60.0-1neon)
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5syndication5
Architecture: any
Depends: libkf5syndication5abi1 (>> 1:5.60.0-1),
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: extra
Description: transitoinal syndication library
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 Transitional package.

Package: libkf5syndication-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: doc
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the qch documentation files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5syndication-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	dh_auto_test --no-parallel

## syndication 15.08.2

=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               kio-dev (>= 5.12.0~),
               libkf5codecs-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/syndication.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/syndication.git

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5syndication5 (= ${binary:Version}), ${misc:Depends}
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.

Package: libkf5syndication5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5syndication-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5 (= ${binary:Version}), ${misc:Depends}
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5syndication-dbg

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## syndication 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Syndication)

# ECM setup
find_package(ECM 5.12.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)


set(KF5_VERSION "5.12.0")
set(SYNDICATION_LIB_VERSION "4.79.0")

ecm_setup_version(${SYNDICATION_LIB_VERSION} VARIABLE_PREFIX SYNDICATION
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/syndication_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfigVersion.cmake"
                        SOVERSION 5
)

########### Find packages ###########
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)

add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

########### Targets ###########

add_subdirectory(src/syndication)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Syndication")

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5SyndicationConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5SyndicationTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5SyndicationTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/syndication_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMMarkAsTest)

find_package(Qt5Test CONFIG REQUIRED)

########### next target ###############

set(testlibsyndication_SRCS testlibsyndication.cpp)
add_executable(testlibsyndication ${testlibsyndication_SRCS})
target_link_libraries(testlibsyndication KF5Syndication)

FILE(GLOB_RECURSE atomFiles atom/*xml)
FILE(GLOB_RECURSE rdfFiles rdf/*xml)
FILE(GLOB_RECURSE rss2Files rss2/*xml)

foreach( file ${atomFiles} )
  add_test( \"Atom-${file}\" ${EXECUTABLE_OUTPUT_PATH}/testlibsyndication ${file} --compare ${file}.expected )
  ecm_mark_as_test(Atom-${file})
endforeach()
foreach( file ${rdfFiles} )
  add_test( \"Rdf-${file}\" ${EXECUTABLE_OUTPUT_PATH}/testlibsyndication ${file} --compare ${file}.expected )
  ecm_mark_as_test(Rdf-${file})
endforeach()
foreach( file ${rss2Files} )
  add_test( \"Rss2-${file}\" ${EXECUTABLE_OUTPUT_PATH}/testlibsyndication ${file} --compare ${file}.expected )
  ecm_mark_as_test(Rss2-${file})
endforeach()

########### next target ###############

add_executable(testpersonimpl testpersonimpl.cpp)
add_test(testpersonimpl testpersonimpl)
ecm_mark_as_test(testpersonimpl)
target_link_libraries(testpersonimpl KF5Syndication Qt5::Test)

=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0~),
               kio-dev (>= 5.12.0~),
               libkf5codecs-dev (>= 5.12.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/syndication.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/syndication.git

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: libkf5syndication5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.

Package: libkf5syndication5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/syndication-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/syndication-([\d.]+).tar.xz

## syndication 16.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(Syndication)
 
 # ECM setup
-find_package(ECM 5.12.0 CONFIG REQUIRED)
+find_package(ECM 5.19.0 CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
@@ -14,11 +14,11 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 
-set(KF5_VERSION "5.12.0")
-set(SYNDICATION_LIB_VERSION "4.79.0")
+set(KF5_VERSION "5.19.0")
+set(SYNDICATION_LIB_VERSION "5.2.2")
 
 ecm_setup_version(${SYNDICATION_LIB_VERSION} VARIABLE_PREFIX SYNDICATION
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/syndication_version.h"

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               kio-dev (>= 5.12.0~),
-               libkf5codecs-dev (>= 5.12.0~),
+               extra-cmake-modules (>= 5.19.0~),
+               kio-dev (>= 5.19.0~),
+               libkf5codecs-dev (>= 5.19.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/syndication
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/syndication.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/syndication.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/syndication.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/syndication.git
 
 Package: libkf5syndication-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5syndication-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

## syndication 16.04.3

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
-               kio-dev (>= 5.19.0~),
-               libkf5codecs-dev (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/syndication
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/syndication.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/syndication.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
 
 Package: libkf5syndication-dev
 Section: libdevel

## syndication 17.04.3

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5codecs-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/syndication
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
 
 Package: libkf5syndication-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: libkf5syndication5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
+Depends: libkf5syndication5 (= ${binary:Version}),
+         qtbase5-dev (>= 5.6.1~),
+         ${misc:Depends}
 Description: parser library for RSS and Atom feeds - development files
  Syndication is a parser library for RSS and Atom feeds. It offers a unified,
  format-agnostic view on the parsed feed, so that the using application does

## syndication 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,27 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
+set(SYNDICATION_LIB_VERSION "5.7.3")
 
-project(Syndication)
+project(Syndication VERSION ${SYNDICATION_LIB_VERSION})
 
 # ECM setup
-find_package(ECM 5.19.0 CONFIG REQUIRED)
+set(KF5_VERSION "5.39.0")
+
+find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(ECMPackageConfigHelpers)
+include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMCoverageOption)
+include(ECMQtDeclareLoggingCategory)
 
 
-set(KF5_VERSION "5.19.0")
-set(SYNDICATION_LIB_VERSION "5.2.2")
 
 ecm_setup_version(${SYNDICATION_LIB_VERSION} VARIABLE_PREFIX SYNDICATION
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/syndication_version.h"
@@ -29,9 +32,9 @@
 ########### Find packages ###########
 find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5Codecs ${KF5_VERSION} CONFIG REQUIRED)
-
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")
-
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 ########### Targets ###########
 
 add_subdirectory(src/syndication)
@@ -44,7 +47,7 @@
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Syndication")
 
-ecm_configure_package_config_file(
+configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5SyndicationConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5SyndicationConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}

=== autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include(ECMMarkAsTest)

find_package(Qt5Test CONFIG REQUIRED)

########### next target ###############

set(testlibsyndication_SRCS testlibsyndication.cpp)
add_executable(testlibsyndication ${testlibsyndication_SRCS})
target_link_libraries(testlibsyndication KF5Syndication)

FILE(GLOB_RECURSE atomFiles atom/*xml)
FILE(GLOB_RECURSE rdfFiles rdf/*xml)
FILE(GLOB_RECURSE rss2Files rss2/*xml)

macro(get_test_name filename outname)
  get_filename_component(_tmp "${filename}" NAME)
  set(${outname} "${_tmp}")
endmacro()

foreach( file ${atomFiles} )
  get_test_name("${file}" name)
  add_test( NAME  \"Atom-${name}\" COMMAND testlibsyndication ${file} --compare ${file}.expected )
  ecm_mark_as_test(Atom-${name})
endforeach()
foreach( file ${rdfFiles} )
  get_test_name("${file}" name)
  add_test( NAME \"Rdf-${name}\" COMMAND testlibsyndication ${file} --compare ${file}.expected )
  ecm_mark_as_test(Rdf-${name})
endforeach()
foreach( file ${rss2Files} )
  get_test_name("${file}" name)
  add_test( NAME \"Rss2-${name}\" COMMAND testlibsyndication ${file} --compare ${file}.expected )
  ecm_mark_as_test(Rss2-${name})
endforeach()

########### next target ###############

add_executable(testpersonimpl testpersonimpl.cpp)
add_test(NAME testpersonimpl COMMAND testpersonimpl)
ecm_mark_as_test(testpersonimpl)
target_link_libraries(testpersonimpl KF5Syndication Qt5::Test)

=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5codecs-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev,
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syndication
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syndication.git

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.
Breaks: libkf5blog-dev (<< 4:17.08)

Package: libkf5syndication5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Breaks: akregator (<< 4:17.08), libkf5blog5 (<< 4:17.08)

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

## syndication 18.04.3

=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/syndication

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.

Package: libkf5syndication5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## syndication 18.08.1

=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5codecs-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.1~),
Standards-Version: 4.2.1
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/syndication
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/syndication.git

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.1~),
         ${misc:Depends},
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.
Breaks: libkf5blog-dev (<< 4:17.08)

Package: libkf5syndication5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Syndication
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Breaks: akregator (<< 4:17.08), libkf5blog5 (<< 4:17.08)
